From b5a4f5743f8b615fdcb918cc608ea5a36e90c095 Mon Sep 17 00:00:00 2001
From: Leah Neukirchen <leah@vuxu.org>
Date: Fri, 14 Jun 2019 10:32:28 +0200
Subject: [PATCH 1/8] ocaml: update to 4.08.0.

---
 ...2.patch => ocaml-4.08.0-elfv2-ppc64.patch} | 18 ++++++++--------
 ...2-pie.patch => ocaml-4.08.0-ppc-pie.patch} | 10 ++++-----
 ...=> ocaml-4.08.0-ppc-sigcontext-musl.patch} |  8 +++----
 srcpkgs/ocaml/template                        | 21 ++++++++-----------
 4 files changed, 27 insertions(+), 30 deletions(-)
 rename srcpkgs/ocaml/patches/{ocaml-4.04.2-elfv2.patch => ocaml-4.08.0-elfv2-ppc64.patch} (93%)
 rename srcpkgs/ocaml/patches/{ocaml-4.04.2-pie.patch => ocaml-4.08.0-ppc-pie.patch} (71%)
 rename srcpkgs/ocaml/patches/{ocaml-4.04.2-sigcontext.patch => ocaml-4.08.0-ppc-sigcontext-musl.patch} (77%)

diff --git a/srcpkgs/ocaml/patches/ocaml-4.04.2-elfv2.patch b/srcpkgs/ocaml/patches/ocaml-4.08.0-elfv2-ppc64.patch
similarity index 93%
rename from srcpkgs/ocaml/patches/ocaml-4.04.2-elfv2.patch
rename to srcpkgs/ocaml/patches/ocaml-4.08.0-elfv2-ppc64.patch
index d1d195765ca..144a555322a 100644
--- a/srcpkgs/ocaml/patches/ocaml-4.04.2-elfv2.patch
+++ b/srcpkgs/ocaml/patches/ocaml-4.08.0-elfv2-ppc64.patch
@@ -1,5 +1,5 @@
---- ocaml-4.04.2/asmcomp/power/arch.ml
-+++ ocaml-4.04.2/asmcomp/power/arch.ml
+--- ocaml-4.08.0/asmcomp/power/arch.ml
++++ ocaml-4.08.0/asmcomp/power/arch.ml
 @@ -28,7 +28,7 @@ type abi = ELF32 | ELF64v1 | ELF64v2
  let abi =
    match Config.model with
@@ -9,8 +9,8 @@
    | "ppc64le" -> ELF64v2
    | _ -> assert false
  
---- ocaml-4.04.2/asmrun/power.S
-+++ ocaml-4.04.2/asmrun/power.S
+--- ocaml-4.08.0/runtime/power.S
++++ ocaml-4.08.0/runtime/power.S
 @@ -13,7 +13,7 @@
  /*                                                                        */
  /**************************************************************************/
@@ -114,8 +114,8 @@
          .section ".opd","aw"
  #else
          .section ".text"
---- ocaml-4.04.2/testsuite/tests/asmgen/power.S
-+++ ocaml-4.04.2/testsuite/tests/asmgen/power.S
+--- ocaml-4.08.0/testsuite/tools/asmgen_power.S
++++ ocaml-4.08.0/testsuite/tools/asmgen_power.S
 @@ -25,12 +25,10 @@
  #if defined(MODEL_ppc)
  #define RESERVED_STACK 16
@@ -181,9 +181,9 @@
          mtctr   28
          mr      12, 28
  #else
---- ocaml-4.04.2/byterun/caml/stack.h
-+++ ocaml-4.04.2/byterun/caml/stack.h
-@@ -40,10 +40,10 @@
+--- ocaml-4.08.0/runtime/caml/stack.h
++++ ocaml-4.08.0/runtime/caml/stack.h
+@@ -35,10 +35,10 @@
  #if defined(MODEL_ppc)
  #define Saved_return_address(sp) *((intnat *)((sp) - 4))
  #define Callback_link(sp) ((struct caml_context *)((sp) + 16))
diff --git a/srcpkgs/ocaml/patches/ocaml-4.04.2-pie.patch b/srcpkgs/ocaml/patches/ocaml-4.08.0-ppc-pie.patch
similarity index 71%
rename from srcpkgs/ocaml/patches/ocaml-4.04.2-pie.patch
rename to srcpkgs/ocaml/patches/ocaml-4.08.0-ppc-pie.patch
index 6aed5844d33..138f8185f85 100644
--- a/srcpkgs/ocaml/patches/ocaml-4.04.2-pie.patch
+++ b/srcpkgs/ocaml/patches/ocaml-4.08.0-ppc-pie.patch
@@ -1,6 +1,6 @@
---- ocaml-4.04.2/asmcomp/emitaux.ml
-+++ ocaml-4.04.2/asmcomp/emitaux.ml
-@@ -205,6 +205,7 @@ let emit_frames a =
+--- ocaml-4.08.0/asmcomp/emitaux.ml
++++ ocaml-4.08.0/asmcomp/emitaux.ml
+@@ -213,6 +213,7 @@ let emit_frames a =
      | None -> a.efa_word 0
      end
    in
@@ -8,8 +8,8 @@
    a.efa_word (List.length !frame_descriptors);
    List.iter emit_frame !frame_descriptors;
    Label_table.iter emit_debuginfo debuginfos;
---- ocaml-4.04.2/asmrun/power.S
-+++ ocaml-4.04.2/asmrun/power.S
+--- ocaml-4.08.0/runtime/power.S
++++ ocaml-4.08.0/runtime/power.S
 @@ -642,6 +642,7 @@ caml_system__code_end:
  /* Frame table */
  
diff --git a/srcpkgs/ocaml/patches/ocaml-4.04.2-sigcontext.patch b/srcpkgs/ocaml/patches/ocaml-4.08.0-ppc-sigcontext-musl.patch
similarity index 77%
rename from srcpkgs/ocaml/patches/ocaml-4.04.2-sigcontext.patch
rename to srcpkgs/ocaml/patches/ocaml-4.08.0-ppc-sigcontext-musl.patch
index 9cad3403931..a40bc5fd64d 100644
--- a/srcpkgs/ocaml/patches/ocaml-4.04.2-sigcontext.patch
+++ b/srcpkgs/ocaml/patches/ocaml-4.08.0-ppc-sigcontext-musl.patch
@@ -1,5 +1,5 @@
---- ocaml-4.04.2/asmrun/signals_osdep.h
-+++ ocaml-4.04.2/asmrun/signals_osdep.h
+--- ocaml-4.04.2/runtime/signals_osdep.h
++++ ocaml-4.04.2/runtime/signals_osdep.h
 @@ -297,11 +297,11 @@
       sigact.sa_flags = 0
  
@@ -15,5 +15,5 @@
 +  #define CONTEXT_YOUNG_PTR (context->gp_regs[31])
 +  #define CONTEXT_SP (context->gp_regs[1])
  
- /****************** s390x, ELF (Linux) */
- #elif defined(TARGET_s390x) && defined(SYS_elf)
+ /****************** PowerPC, NetBSD */
+ 
diff --git a/srcpkgs/ocaml/template b/srcpkgs/ocaml/template
index 08cf3a232ca..e2768d23e89 100644
--- a/srcpkgs/ocaml/template
+++ b/srcpkgs/ocaml/template
@@ -1,25 +1,22 @@
 # Template file for 'ocaml'
 pkgname=ocaml
-version=4.07.1
+version=4.08.0
 revision=1
+build_style="gnu-configure"
+configure_args="--with-pic"
+make_build_target="world.opt"
 makedepends="ncurses-devel libX11-devel"
-short_desc="The main implementation of the Caml language"
+short_desc="Main implementation of the Caml language"
 maintainer="Leah Neukirchen <leah@vuxu.org>"
 license="QPL-1.0, LGPL-2.1-only"
 homepage="http://ocaml.org/"
 distfiles="https://github.com/${pkgname}/${pkgname}/archive/${version}.tar.gz"
-checksum=83683ddad54bd23773591a9f757e702fa5cfa2ea1b124d8fe75a73729e592bfe
+checksum=c8ff78d010cb037ac6d6729e40ebdbee109218899007ef23a20b8f459ac186d6
 nocross=yes
-disable_parallel_build=yes
 patch_args="-Np1"
 
-do_configure() {
-	./configure -prefix /usr -mandir /usr/share/man -fPIC
-}
-do_build() {
-	make ${makejobs} world.opt
-}
-do_install() {
-	make PREFIX=${DESTDIR}/usr MANDIR=${DESTDIR}/usr/share/man install
+export ASPP="cc -c"
+
+post_install() {
 	vlicense LICENSE
 }

From 2af5784582919e93f84926277a7d5b20123761ec Mon Sep 17 00:00:00 2001
From: Leah Neukirchen <leah@vuxu.org>
Date: Fri, 14 Jun 2019 10:33:12 +0200
Subject: [PATCH 2/8] ocamlbuild: rebuild for ocaml-4.08.0

---
 srcpkgs/ocamlbuild/template | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/ocamlbuild/template b/srcpkgs/ocamlbuild/template
index 539c01f9929..bb7d2201edd 100644
--- a/srcpkgs/ocamlbuild/template
+++ b/srcpkgs/ocamlbuild/template
@@ -1,8 +1,10 @@
 # Template file for 'ocamlbuild'
 pkgname=ocamlbuild
 version=0.14.0
-revision=1
+revision=2
 build_style=gnu-makefile
+make_build_args="PREFIX=/usr"
+make_install_args="PREFIX=/usr"
 hostmakedepends="ocaml"
 short_desc="OCaml build tool"
 maintainer="Leah Neukirchen <leah@vuxu.org>"

From aa2f9ee47329bc9497018381764eae32510f9e6e Mon Sep 17 00:00:00 2001
From: Leah Neukirchen <leah@vuxu.org>
Date: Fri, 14 Jun 2019 10:45:53 +0200
Subject: [PATCH 3/8] ocaml-findlib: rebuild for ocaml-4.08.0

---
 srcpkgs/ocaml-findlib/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ocaml-findlib/template b/srcpkgs/ocaml-findlib/template
index bef5edb6170..519aa89bbab 100644
--- a/srcpkgs/ocaml-findlib/template
+++ b/srcpkgs/ocaml-findlib/template
@@ -1,7 +1,7 @@
 # Template file for 'ocaml-findlib'
 pkgname=ocaml-findlib
 version=1.7.3
-revision=3
+revision=5
 build_style=configure
 configure_args="-config /etc/findlib.conf -sitelib /usr/lib/ocaml -mandir /usr/share/man"
 make_build_args="all opt"

From 261d4890e7cb5431b8818e7448edac32fe838dfa Mon Sep 17 00:00:00 2001
From: Leah Neukirchen <leah@vuxu.org>
Date: Fri, 14 Jun 2019 10:49:57 +0200
Subject: [PATCH 4/8] ocaml-num: rebuild for ocaml-4.08.0

---
 srcpkgs/ocaml-num/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ocaml-num/template b/srcpkgs/ocaml-num/template
index 86395a403df..bf5af4e7a68 100644
--- a/srcpkgs/ocaml-num/template
+++ b/srcpkgs/ocaml-num/template
@@ -1,7 +1,7 @@
 # Template file for 'ocaml-num'
 pkgname=ocaml-num
 version=1.2
-revision=1
+revision=2
 build_style=gnu-makefile
 makedepends="ocaml ocaml-findlib"
 make_install_target="findlib-install"

From 6e87a3a4fe1f4380aad97d0dd4752d73845e8b53 Mon Sep 17 00:00:00 2001
From: Leah Neukirchen <leah@vuxu.org>
Date: Fri, 14 Jun 2019 10:56:37 +0200
Subject: [PATCH 5/8] polygen: rebuild for ocaml-4.08.0

---
 srcpkgs/polygen/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/polygen/template b/srcpkgs/polygen/template
index a7ceca1d687..7c5df93839c 100644
--- a/srcpkgs/polygen/template
+++ b/srcpkgs/polygen/template
@@ -1,7 +1,7 @@
 # Template file for 'polygen'
 pkgname=polygen
 version=1.0.6.ds2
-revision=3
+revision=4
 build_style=gnu-makefile
 build_wrksrc="src"
 hostmakedepends="ocaml unzip"

From 3f6afa082328d6277835b663628c8923eddab712 Mon Sep 17 00:00:00 2001
From: Leah Neukirchen <leah@vuxu.org>
Date: Fri, 14 Jun 2019 10:58:29 +0200
Subject: [PATCH 6/8] supermin: rebuild for ocaml-4.08.0

---
 srcpkgs/supermin/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/supermin/template b/srcpkgs/supermin/template
index 6845ae9aff3..07fe80f46b3 100644
--- a/srcpkgs/supermin/template
+++ b/srcpkgs/supermin/template
@@ -1,7 +1,7 @@
 # Template file for 'supermin'
 pkgname=supermin
 version=5.1.20
-revision=1
+revision=2
 build_style=gnu-configure
 hostmakedepends="ocaml ocaml-findlib pkg-config e2fsprogs cpio perl"
 makedepends="e2fsprogs-devel"

From e108da8d8847b05afd296cf8abe5d320d1dd771c Mon Sep 17 00:00:00 2001
From: Leah Neukirchen <leah@vuxu.org>
Date: Fri, 14 Jun 2019 11:04:19 +0200
Subject: [PATCH 7/8] z3: rebuild for ocaml-4.08.0

---
 srcpkgs/z3/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/z3/template b/srcpkgs/z3/template
index f4f7af3a8f9..ccd40cf932f 100644
--- a/srcpkgs/z3/template
+++ b/srcpkgs/z3/template
@@ -1,7 +1,7 @@
 # Template file for 'z3'
 pkgname=z3
 version=4.8.5
-revision=1
+revision=2
 wrksrc="${pkgname}-Z3-${version}"
 build_style=configure
 configure_args="--prefix=/usr -g --python $(vopt_if ocaml --ml)"

From 9c0d1a5a9af3eef84ee6041b400c37bb028262b9 Mon Sep 17 00:00:00 2001
From: Leah Neukirchen <leah@vuxu.org>
Date: Fri, 12 Jul 2019 18:07:02 +0200
Subject: [PATCH 8/8] opam: update to 2.0.5.

---
 srcpkgs/opam/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/opam/template b/srcpkgs/opam/template
index 0c9cfaa38c0..efb8f38140b 100644
--- a/srcpkgs/opam/template
+++ b/srcpkgs/opam/template
@@ -1,6 +1,6 @@
 # Template file for 'opam'
 pkgname=opam
-version=2.0.4
+version=2.0.5
 revision=1
 build_style=gnu-configure
 disable_parallel_build=yes
@@ -15,7 +15,7 @@ maintainer="Leah Neukirchen <leah@vuxu.org>"
 license="LGPL-3.0-only"
 homepage="http://opam.ocamlpro.com"
 distfiles="https://github.com/ocaml/${pkgname}/archive/${version}.tar.gz"
-checksum=956746e4556bfb40ea8e4f05ba5d61f44ed7e03bffddcaf567328290ba52a93c
+checksum=f07f3ea3d4507c8a43cddbd409869377c7878d330c3e8a668424287b989d4fb9
 nocross=yes
 
 post_install() {
